Revit API移动风管

移动风管曲线就可以移动风管
//移动风管
[TransactionAttribute(Autodesk.Revit.Attributes.TransactionMode.Manual)]
public class cmdMoveDuct : IExternalCommand
{
    public Result Execute(ExternalCommandData commandData, ref string messages, ElementSet elements)
    {
        UIApplication app = commandData.Application;
        Document doc = app.ActiveUIDocument.Document;
        Selection sel = app.ActiveUIDocument.Selection;

        Transaction ts = new Transaction(doc, "revit");
        ts.Start();

        Reference refDuct = sel.PickObject(ObjectType.Element, "duct");
        Duct duct = doc.GetElement(refDuct) as Duct;
        LocationCurve lCurve = duct.Location as LocationCurve;
        lCurve.Move(new XYZ(030));//向上移动3

        ts.Commit();

        return Result.Succeeded;
    }
}
url:http://greatverve.cnblogs.com/p/revit-api-duct-move.html
posted @ 2014-02-25 21:54  大气象  阅读(1568)  评论(0编辑  收藏  举报
http://www.tianqiweiqi.com